diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index dee1b77..736581c 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -43183,28 +43183,33 @@ constructor abbreviation to pamphlet file name.
   (build-name-to-pamphlet-hash (dir)
    (let ((ht (make-hash-table)) (eof '(done)) point mark abbrev name file ns)
     (dolist (fn (directory dir))
-     (with-open-file (f fn)
-      (do ((ln (read-line f nil eof) (read-line f nil eof))
-           (line 0 (incf line)))
-          ((eq ln eof))
-     (when (and (setq mark (search ")abb" ln)) (= mark 0))
-       (setq mark (position #\space ln :from-end t))
-       (setq name (intern (string-trim '(#\space) (subseq ln mark))))
-       (cond
-         ((setq mark (search "domain" ln)) (setq mark (+ mark 7)))
-         ((setq mark (search "package" ln)) (setq mark (+ mark 8)))
-         ((setq mark (search "category" ln)) (setq mark (+ mark 9))))
-       (setq point (position #\space ln :start (+ mark 1)))
-       (setq abbrev 
-        (intern (string-trim '(#\space) (subseq ln mark point))))
-       (setq ns (namestring fn))
-       (setq mark (position #\/ ns :from-end t))
-       (setq file (subseq ns (+ mark 1)))
-       (setf (gethash abbrev ht) file)
-       (setf (gethash (format nil "~a-line" abbrev) ht) line)
-       (setf (gethash name ht) file)
-       (setf (gethash (format nil "~a-line" name) ht) line)))))
-    ht))
+     (when (and (string= (pathname-type fn) "pamphlet")
+            (or (string= (pathname-name fn) "bookvol10.2")   ; category
+                (string= (pathname-name fn) "bookvol10.3")   ; domain
+                (string= (pathname-name fn) "bookvol10.4")   ; package
+                (string= (pathname-name fn) "bookvol10.5"))) ; numerics
+      (with-open-file (f fn)
+       (do ((ln (read-line f nil eof) (read-line f nil eof))
+            (line 0 (incf line)))
+           ((eq ln eof))
+      (when (and (setq mark (search ")abb" ln)) (= mark 0))
+        (setq mark (position #\space ln :from-end t))
+        (setq name (intern (string-trim '(#\space) (subseq ln mark))))
+        (cond
+          ((setq mark (search "domain" ln)) (setq mark (+ mark 7)))
+          ((setq mark (search "package" ln)) (setq mark (+ mark 8)))
+          ((setq mark (search "category" ln)) (setq mark (+ mark 9))))
+        (setq point (position #\space ln :start (+ mark 1)))
+        (setq abbrev 
+         (intern (string-trim '(#\space) (subseq ln mark point))))
+        (setq ns (namestring fn))
+        (setq mark (position #\/ ns :from-end t))
+        (setq file (subseq ns (+ mark 1)))
+        (setf (gethash abbrev ht) file)
+        (setf (gethash (format nil "~a-line" abbrev) ht) line)
+        (setf (gethash name ht) file)
+        (setf (gethash (format nil "~a-line" name) ht) line))))))
+     ht))
     ;; these are types which have no library object associated with them.
     ;; we store some constructed data to make them perform like library
     ;; objects, the *operationalist-hash* key entry is used by allConstructors
@@ -43258,8 +43263,7 @@ constructor abbreviation to pamphlet file name.
   (|mkTopicHashTable|)
   (setq |$constructorList| nil) ;; affects buildLibdb
   (setq *sourcefiles* (build-name-to-pamphlet-hash 
-    (concatenate 'string (|getEnv| "AXIOM") 
-      "/../../src/algebra/*.pamphlet")))
+    (concatenate 'string (|getEnv| "AXIOM") "/../../books/*.pamphlet")))
   (|buildLibdb|)
   (|dbSplitLibdb|)
 ; (|dbAugmentConstructorDataTable|)
diff --git a/changelog b/changelog
index a51e8a3..1777d01 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20141105 tpd src/axiom-website/patches.html 20141109.01.tpd.patch
+20141109 tpd src/axiom-website/patches.html 20141109.02.tpd.patch
+20141109 tpd books/bookvol5 fix remake handling of source files
+20141109 tpd src/axiom-website/patches.html 20141109.01.tpd.patch
 20141109 tpd books/Makefile move SPADEDIT and make it executable
 20141105 tpd src/axiom-website/patches.html 20141105.02.tpd.patch
 20141105 tpd books/bookvolbib fix missing quote
diff --git a/patch b/patch
index e2ab8e2..e20fcde 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,4 @@
-books/Makefile move SPADEDIT and make it executable
+books/bookvol5 fix remake handling of source files
 
-fix missing SPADEDIT
+The source file on the )show function was missing after
+'make clean ; make'
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e585b04..88866e7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4694,6 +4694,8 @@ books/bookvol5 fix )read file )quiet<br/>
 books/bookvolbib fix missing quote<br/>
 <a href="patches/20141109.01.tpd.patch">20141109.01.tpd.patch</a>
 books/Makefile move SPADEDIT and make it executable<br/>
+<a href="patches/20141109.02.tpd.patch">20141109.02.tpd.patch</a>
+books/bookvol5 fix remake handling of source files<br/>
  </body>
 </html>
 
